org.apache.ignite.internal.processors.cache.persistence

## Class GridCacheDatabaseSharedManager.NodeFileLockHolder

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.persistence.FileLockHolder
  - - org.apache.ignite.internal.processors.cache.persistence.GridCacheDatabaseSharedManager.NodeFileLockHolder

All Implemented Interfaces:
  AutoCloseable

Enclosing class:
  GridCacheDatabaseSharedManager

    public static class GridCacheDatabaseSharedManager.NodeFileLockHolder
    extends FileLockHolder

Node file lock holder.

### Constructor Summary

Constructors
Constructor and Description
`NodeFileLockHolder(String rootDir, @NotNull GridKernalContext ctx, IgniteLogger log)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `lockInfo()` This info will appear in error message of concurrent processes that will try to lock on the same file.
`protected String` `warningMessage(String lockInfo)`

### Methods inherited from class org.apache.ignite.internal.processors.cache.persistence.FileLockHolder

`close, isLocked, lockPath, release, tryLock`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NodeFileLockHolder

    public NodeFileLockHolder(String rootDir,
                              @NotNull
                              @NotNull GridKernalContext ctx,
                              IgniteLogger log)

Parameters:
  `rootDir` - Root directory for lock file.
  `ctx` - Kernal context.
  `log` - Log.

### Method Detail

#### lockInfo

    public String lockInfo()

This info will appear in error message of concurrent processes that will try to lock on the same file.

Specified by:
  `lockInfo` in class `FileLockHolder`
Returns:
  Lock info to store in the file.

#### warningMessage

    protected String warningMessage(String lockInfo)

Specified by:
  `warningMessage` in class `FileLockHolder`
Parameters:
  `lockInfo` - Existing lock info.
Returns:
  Warning message.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022